Bug 210100 (GTK4) - [META][GTK][GTK4] Support GTK4
Summary: [META][GTK][GTK4] Support GTK4
Status: NEW
Alias: GTK4
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 212324 212325 212327 212329 220116 220117 220413 118381 170553 210110 210154 210158 210160 210179 210273 210276 210325 210327 210329 210334 210453 210463 210489 210543 210546 210550 210552 210600 210642 210651 210745 210746 210792 210856 210967 211021 211045 211073 211128 211171 211175 211178 211189 211283 211286 211412 211511 211553 211561 211723 211779 212298 212314 212315 212316 212317 212318 212319 212320 212321 212322 212323 212328 212330 212331 212332 212333 212344 212465 212581 212592 212593 212690 212740 212817 212898 213016 214178 214251 214344 219221 219267 219268 219269 219781
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-07 01:37 PDT by Claudio Saavedra
Modified: 2021-01-14 08:52 PST (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio Saavedra 2020-04-07 01:37:45 PDT
This is a metabug to track the initial work needed for WebKitGTK to use GTK4. On completion it should be possible to pass a compilation flag to build WebKit against GTK4, it should be parallel-installable with the GTK3 version, as it was during the GTK+ 2.0 to GTK3 transition, and we should have a bot.